(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     18102,        560]
NotebookOptionsPosition[     17151,        527]
NotebookOutlinePosition[     17617,        545]
CellTagsIndexPosition[     17574,        542]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 ExpressionUUID -> "39655859-e09d-422a-9b09-2997ce0ce555"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DcharIn", "=", 
   RowBox[{"3", "cm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dchar", "=", "1."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nu", "[", "gz_", "]"}], ":=", 
   RowBox[{"Which", "[", 
    RowBox[{
     RowBox[{"0", "\[LessEqual]", "gz", "<", "667"}], ",", 
     RowBox[{"4.364", "+", 
      RowBox[{"0.263", "*", 
       SuperscriptBox["gz", "0.506"], "*", 
       RowBox[{"Exp", "[", 
        FractionBox[
         RowBox[{"-", "41."}], "gz"], "]"}]}]}], ",", 
     RowBox[{"667", "\[LessEqual]", "gz", "<", 
      RowBox[{"2", "*", 
       SuperscriptBox["10", "4"]}]}], ",", 
     RowBox[{
      RowBox[{"1.302", "*", 
       SuperscriptBox["gz", "0.333"]}], "-", "0.5"}], ",", 
     RowBox[{"gz", "\[GreaterEqual]", 
      RowBox[{"2", "*", 
       SuperscriptBox["10", "4"]}]}], ",", 
     RowBox[{
      RowBox[{"1.302", "*", 
       SuperscriptBox["gz", "0.333"]}], "-", "1"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gz", "[", 
    RowBox[{"re_", ",", "pr_", ",", "x_"}], "]"}], ":=", 
   FractionBox[
    RowBox[{"re", "*", "pr", "*", "DcharIn"}], "x"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "=", "9.81"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"koefrozt", "[", "T_", "]"}], ":=", 
   FractionBox["1", 
    RowBox[{"T", "+", "273."}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datany", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "100"}], ",", "5.94"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "50"}], ",", "9.54"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "13.7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20.", ",", "15.7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40.", ",", "17.6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"60.", ",", "19.6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"80.", ",", "21.7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "23.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"120", ",", "26.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"140", ",", "28.45"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "35.82"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"300", ",", "49.9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"400", ",", "64.9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"500", ",", "80.4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"600", ",", "98.1"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pomfce", "=", 
   RowBox[{"Interpolation", "[", "datany", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ny", "[", "T_", "]"}], ":=", 
   RowBox[{
    RowBox[{"pomfce", "[", "T", "]"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataPr", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "100"}], ",", "0.739"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.718"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100.", ",", "0.706"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200.", ",", "0.693"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"300.", ",", "0.686"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"400", ",", "0.681"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"500", ",", "0.680"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"600", ",", "0.680"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Pr", "[", "T_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Interpolation", "[", "dataPr", "]"}], "[", "T", "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Pr", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", 
      RowBox[{"-", "100"}], ",", "600"}], "}"}], ",", 
    RowBox[{"PlotRange", "->", "All"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{"\"\<T[\[Degree]C]\>\"", ",", "\"\<Pr[1]\>\""}], "}"}]}]}], 
   "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"datalambda", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "100"}], ",", "1.39"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "50"}], ",", "1.75"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "2.04"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20.", ",", "2.17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40.", ",", "2.28"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"60.", ",", "2.41"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"80.", ",", "2.52"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "2.64"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"120", ",", "2.75"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "3.18"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"300", ",", "3.69"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"400", ",", "4.17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"500", ",", "4.64"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"600", ",", "5.00"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"lambda", "[", "T_", "]"}], ":=", 
    RowBox[{"0.01", "*", "1.16", "*", 
     RowBox[{
      RowBox[{"Interpolation", "[", 
       RowBox[{"datalambda", ",", 
        RowBox[{"InterpolationOrder", "\[Rule]", "3"}]}], "]"}], "[", "T", 
      "]"}]}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"lambda", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", 
      RowBox[{"-", "100"}], ",", "600"}], "}"}], ",", 
    RowBox[{"PlotRange", "->", "All"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
      "\"\<T[\[Degree]C]\>\"", ",", 
       "\"\<\[Lambda][W.\!\(\*SuperscriptBox[\(m\), \
\(-1\)]\).\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\""}], "}"}]}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Gr", "[", 
    RowBox[{"T1_", ",", "T2_", ",", "delka_"}], "]"}], ":=", 
   FractionBox[
    RowBox[{
     RowBox[{"koefrozt", "[", 
      FractionBox[
       RowBox[{"T1", "+", "T2"}], "2"], "]"}], "*", 
     SuperscriptBox["delka", "3"], "*", 
     RowBox[{"Abs", "[", 
      RowBox[{"(", 
       RowBox[{"T2", "-", "T1"}], ")"}], "]"}], "*", "g"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"ny", "[", 
       FractionBox[
        RowBox[{"T1", "+", "T2"}], "2"], "]"}], ")"}], "^", "2"}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"Nu", ",", "alfaExt"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Nu", "[", 
    RowBox[{"T1_", ",", "T2_", ",", "delka_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"1.18", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gr", "[", 
         RowBox[{"T1", ",", "T2", ",", "delka"}], "]"}], "*", 
        RowBox[{"Pr", "[", 
         FractionBox[
          RowBox[{"T1", "+", "T2"}], "2"], "]"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "8"}], ")"}]}]}], "/;", 
    RowBox[{"0", "\[LessEqual]", 
     RowBox[{
      RowBox[{"Gr", "[", 
       RowBox[{"T1", ",", "T2", ",", "delka"}], "]"}], "*", 
      RowBox[{"Pr", "[", 
       FractionBox[
        RowBox[{"T1", "+", "T2"}], "2"], "]"}]}], "<", "500"}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Nu", "[", 
     RowBox[{"T1_", ",", "T2_", ",", "delka_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"0.54", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Gr", "[", 
          RowBox[{"T1", ",", "T2", ",", "delka"}], "]"}], "*", 
         RowBox[{"Pr", "[", 
          FractionBox[
           RowBox[{"T1", "+", "T2"}], "2"], "]"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "4"}], ")"}]}]}], "/;", 
     RowBox[{"500", "\[LessEqual]", 
      RowBox[{
       RowBox[{"Gr", "[", 
        RowBox[{"T1", ",", "T2", ",", "delka"}], "]"}], "*", 
       RowBox[{"Pr", "[", 
        FractionBox[
         RowBox[{"T1", "+", "T2"}], "2"], "]"}]}], "<", 
      RowBox[{"2", "*", 
       RowBox[{"10", "^", "7"}]}]}]}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Nu", "[", 
     RowBox[{"T1_", ",", "T2_", ",", "delka_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"0.135", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Gr", "[", 
          RowBox[{"T1", ",", "T2", ",", "delka"}], "]"}], "*", 
         RowBox[{"Pr", "[", 
          FractionBox[
           RowBox[{"T1", "+", "T2"}], "2"], "]"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}], "/;", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"10", "^", "7"}]}], "\[LessEqual]", 
      RowBox[{
       RowBox[{"Gr", "[", 
        RowBox[{"T1", ",", "T2", ",", "delka"}], "]"}], "*", 
       RowBox[{"Pr", "[", 
        FractionBox[
         RowBox[{"T1", "+", "T2"}], "2"], "]"}]}], "<", 
      RowBox[{"10", "^", "13"}]}]}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"alfaExt", "[", 
    RowBox[{"T1_", ",", "T2_", ",", "delka_"}], "]"}], ":=", 
   FractionBox[
    RowBox[{
     RowBox[{"Nu", "[", 
      RowBox[{"T1", ",", "T2", ",", "delka"}], "]"}], "*", 
     RowBox[{"lambda", "[", 
      FractionBox[
       RowBox[{"T1", "+", "T2"}], "2"], "]"}]}], "delka"]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7748442871451206`*^9, 3.7748442878793*^9}, {
   3.774844354113748*^9, 3.7748443740153236`*^9}, {3.7748444156930304`*^9, 
   3.7748444173644924`*^9}, {3.774844480896474*^9, 3.7748444820212107`*^9}, {
   3.774844855355418*^9, 3.7748449188248854`*^9}, {3.7748450008837433`*^9, 
   3.774845001571056*^9}, {3.77495919715625*^9, 3.77495919921875*^9}, 
   3.774959353484375*^9, 3.775120461390625*^9, 3.776330474515625*^9},
 ExpressionUUID -> "4c495cc8-5e1d-45f4-8825-9ee2b3f54e21"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"nu", "[", "gz", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"gz", ",", "666", ",", "680"}], "}"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{3.774959204390625*^9, 3.774959239796875*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"chci", " ", "neco", " ", "pocitat"}], ",", " ", 
    RowBox[{
    "ale", " ", "nechci", " ", "se", " ", "trapit", " ", "dlouhym", " ", 
     "kodem", " ", "a", " ", "tak", " ", "si", " ", "dam", " ", "data", " ", 
     "na", " ", "disk", " ", "a", " ", "pak", " ", "si", " ", "je", " ", 
     "budu", " ", "nejak", " ", "brat"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dataAlfaExt", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}], "@", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"T1", ",", "T2", ",", 
          RowBox[{"alfaExt", "[", 
           RowBox[{"T1", ",", "T2", ",", 
            StyleBox["Dchar",
             FontColor->RGBColor[1, 0, 0]]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"T1", ",", 
          RowBox[{
           FractionBox["1.", "Pi"], "-", "10"}], ",", "95.", ",", "0.5"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"T2", ",", 
          RowBox[{"-", "10"}], ",", "50", ",", "0.5"}], "}"}]}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.77512030115625*^9, 3.77512042925*^9}, {
   3.77512058371875*^9, 3.77512067278125*^9}, 3.775120715578125*^9, {
   3.7751207468125*^9, 3.7751208008125*^9}, {3.77633051990625*^9, 
   3.776330536953125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"kontrola", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
         "jestli", " ", "to", " ", "dalo", " ", "vsude", " ", "cisla"}], 
         "..."}], "v", " ", "modernejsi", " ", "Mathematice", " ", "na", " ", 
        "to", " ", "urcite", " ", "bude", " ", "nejaky", " ", "prikaz"}], 
       "..."}], " ", "najdi", " ", "ho", " ", "a", " ", "nauc", " ", "me", 
      " ", 
      RowBox[{"ho", ":", "-"}]}]}], ")"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"Head", "/@", 
     RowBox[{"Flatten", "[", "dataAlfaExt", "]"}]}], ")"}], "//", 
   "Union"}]}]], "Input",
 CellChangeTimes->{{3.775120822140625*^9, 3.7751209115*^9}}],

Cell[BoxData[
 RowBox[{"{", "Real", "}"}]], "Output",
 CellChangeTimes->{3.775120851375*^9, 3.77512091409375*^9, 
  3.775121558578125*^9, 3.77633048771875*^9, 3.776330550453125*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"dataAlfaExt", ">>", "\"\<dataAlfaExt\>\""}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.77512092553125*^9, 3.7751209306875*^9}, 
   3.775121315296875*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ListPlot3D", "[", 
    RowBox[{"dataAlfaExt", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Tradiator [\[Degree]C]\>\"", ",", "\"\<TairIn [\[Degree]C]\>\"", 
        ",", "\"\<\[Alpha] [W.\!\(\*SuperscriptBox[\(m\), \
\(-2\)]\)/\!\(\*SuperscriptBox[\(K\), \(-1\)]\)]\>\""}], "}"}]}]}], "]"}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.77512095234375*^9, 3.775120971703125*^9}, {
  3.775121005046875*^9, 3.77512108634375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "kouknu", " ", "se", " ", "na", " ", "kinematickou", " ", "viskozitu"}],
       "..."}], " ", "a", " ", "vidim"}], ",", " ", 
    RowBox[{"ze", " ", "nemusim", " ", "prenaset", " ", "data"}], ",", " ", 
    RowBox[{"udelam", " ", "vzorec"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"ny", "[", "T", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"T", ",", "0", ",", "100"}], "}"}]}], "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.775121135859375*^9, 3.775121243296875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fitNy", "=", 
  RowBox[{"Fit", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"T", ",", 
        RowBox[{"ny", "[", "T", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"T", ",", "0", ",", "100"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.775121260421875*^9, 3.775121293078125*^9}, {
  3.775121323671875*^9, 3.775121327890625*^9}}],

Cell[BoxData[
 RowBox[{"0.000013657158080955152`", "\[InvisibleSpace]", "+", 
  RowBox[{"1.0023975917297611`*^-7", " ", "T"}]}]], "Output",
 CellChangeTimes->{3.77512129415625*^9, 3.77512132884375*^9, 
  3.775121560046875*^9, 3.776330489109375*^9, 3.77633055446875*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"dtto", " ", "s", " ", "lambdou", " ", "vzduchu"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"lambda", "[", "T", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"T", ",", "0", ",", "100"}], "}"}]}], "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.77512134575*^9, 3.775121369296875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fitLambda", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"T", ",", 
         RowBox[{"lambda", "[", "T", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"T", ",", "0", ",", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7751213930625*^9, 3.77512141253125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"struct", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<{dataAlfaExt,fitNy,fitLambda}\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"dataAlfaExt", ",", "fitNy", ",", "fitLambda"}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"struct", ">>", "\"\<struct\>\""}]}], "Input",
 CellChangeTimes->{{3.775121444625*^9, 3.77512155303125*^9}}]
},
WindowSize->{1068, 641},
WindowMargins->{{61, Automatic}, {Automatic, 15}},
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 389, 10, 98, "Input"],
Cell[949, 32, 9992, 307, 1354, "Input"],
Cell[10944, 341, 261, 7, 43, "Input"],
Cell[11208, 350, 1474, 37, 246, "Input"],
Cell[CellGroupData[{
Cell[12707, 391, 772, 21, 125, "Input"],
Cell[13482, 414, 181, 3, 42, "Output"]
}, Open  ]],
Cell[13678, 420, 214, 6, 43, "Input"],
Cell[13895, 428, 544, 13, 103, "Input"],
Cell[14442, 443, 630, 17, 98, "Input"],
Cell[CellGroupData[{
Cell[15097, 464, 500, 14, 43, "Input"],
Cell[15600, 480, 269, 4, 45, "Output"]
}, Open  ]],
Cell[15884, 487, 392, 11, 71, "Input"],
Cell[16279, 500, 485, 14, 43, "Input"],
Cell[16767, 516, 380, 9, 71, "Input"]
}
]
*)

