(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12419,        372]
NotebookOptionsPosition[     11586,        345]
NotebookOutlinePosition[     12043,        362]
CellTagsIndexPosition[     12000,        359]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ObjemH109", "=", 
   RowBox[{"5", "*", "10", "*", "3."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"casVymeny", "=", 
   RowBox[{"3", "*", "3600"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vsteckou", "=", 
   FractionBox["ObjemH109", "casVymeny"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<prutok vzduchu= \>\"", ",", "Vsteckou", ",", 
   "\"\< \!\(\*SuperscriptBox[\(m\), \(3\)]\).\!\(\*SuperscriptBox[\(s\), \
\(-1\)]\)\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.7807310714524403`*^9, 3.780731202286269*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"b", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", 
   RowBox[{"1", "cm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dchar", "=", 
   RowBox[{"2", "*", "d"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Nu]", "=", 
   RowBox[{"14.6", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", "0.025"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prurez", "=", 
   RowBox[{"a", "*", "d"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rychlost", "=", 
   FractionBox["Vsteckou", "prurez"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Reynolds", "=", 
   RowBox[{"rychlost", "*", 
    FractionBox["Dchar", "\[Nu]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Nusselt", "=", "8.24"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"Nusselt", "*", 
    FractionBox["\[Lambda]", "Dchar"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", 
   RowBox[{"0.5", "*", "\[Alpha]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S", "=", 
   RowBox[{"a", "*", "b"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ks", "=", 
   RowBox[{"k", "*", "S"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.780731289497223*^9, 3.7807313319292974`*^9}, {
  3.7807319290877466`*^9, 3.7807319435801716`*^9}, {3.7807321094562635`*^9, 
  3.780732145788727*^9}, {3.7807323555486956`*^9, 3.780732387575552*^9}, {
  3.7807324305848274`*^9, 3.780732490613733*^9}, {3.780732538318617*^9, 
  3.780732644414403*^9}, {3.780732719887336*^9, 3.7807327310101547`*^9}, {
  3.7807327960310693`*^9, 3.780732865435591*^9}, {3.78073306417994*^9, 
  3.780733166016919*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T1", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T3", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cp", "=", "1020"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7807333610420604`*^9, 3.7807333935681176`*^9}, {
  3.780733490413088*^9, 3.780733529896757*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Rho]vzduchu", "=", 
   FractionBox["349", 
    RowBox[{"T1", "+", "273."}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"msteckou", "=", 
  RowBox[{"Vsteckou", "*", "\[Rho]vzduchu"}]}]}], "Input",
 CellChangeTimes->{{3.780733325427198*^9, 3.780733467371847*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CapitalDelta]1", "=", 
   RowBox[{"T1", "-", "T4"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]2", "=", 
   RowBox[{"T2", "-", "T3"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.780733836730496*^9, 3.780733837806898*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"msteckou", "*", "cp", "*", 
       RowBox[{"(", 
        RowBox[{"T1", "+", "T3"}], ")"}]}], "\[Equal]", 
      RowBox[{"msteckou", "*", "cp", "*", 
       RowBox[{"(", 
        RowBox[{"T2", "+", "T4"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"P", "==", 
      RowBox[{"ks", "*", 
       FractionBox[
        RowBox[{"\[CapitalDelta]1", "-", "\[CapitalDelta]2"}], 
        RowBox[{"Log", "[", 
         FractionBox["\[CapitalDelta]1", "\[CapitalDelta]2"], "]"}]]}]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"P", "==", 
      RowBox[{"msteckou", "*", "cp", "*", 
       RowBox[{"(", 
        RowBox[{"T1", "-", "T2"}], ")"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"rce", ",", 
    RowBox[{"{", 
     RowBox[{"T2", ",", "5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"T4", ",", "16"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"P", ",", "300"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7807335756828375`*^9, 3.7807338657465467`*^9}, {
  3.7807339010806093`*^9, 3.780733977770344*^9}, {3.780734011996804*^9, 
  3.78073402680123*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"rce", "/.", 
    RowBox[{
     RowBox[{"Equal", "[", 
      RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
     FractionBox[
      RowBox[{"Abs", "[", 
       RowBox[{"a", "-", "b"}], "]"}], 
      RowBox[{"0.5", "*", 
       RowBox[{"Abs", "[", 
        RowBox[{"a", "+", "b"}], "]"}]}]]}]}], ")"}], "/.", "sol"}]], "Input",
 CellChangeTimes->{{3.7807340330100408`*^9, 3.7807340978749547`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rceLin", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"msteckou", "*", "cp", "*", 
       RowBox[{"(", 
        RowBox[{"T1", "+", "T3"}], ")"}]}], "\[Equal]", 
      RowBox[{"msteckou", "*", "cp", "*", 
       RowBox[{"(", 
        RowBox[{"T2", "+", "T4"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"P", "==", 
      RowBox[{"ks", "*", "\[CapitalDelta]1"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"P", "==", 
      RowBox[{"msteckou", "*", "cp", "*", 
       RowBox[{"(", 
        RowBox[{"T1", "-", "T2"}], ")"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"solSolve", "=", 
  RowBox[{"Solve", "[", "rceLin", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"rceLin", "/.", 
    RowBox[{
     RowBox[{"Equal", "[", 
      RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
     FractionBox[
      RowBox[{"Abs", "[", 
       RowBox[{"a", "-", "b"}], "]"}], 
      RowBox[{"0.5", "*", 
       RowBox[{"Abs", "[", 
        RowBox[{"a", "+", "b"}], "]"}]}]]}]}], ")"}], "/.", 
  "solSolve"}]}], "Input",
 CellChangeTimes->{{3.7807341477170424`*^9, 3.780734207465147*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vydej", "[", 
    RowBox[{"msteckou_", ",", "ks_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "P", ",", "T2", ",", "T4", ",", "solSolve", ",", "rceLin", ",", 
       "\[CapitalDelta]1", ",", "\[CapitalDelta]2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[CapitalDelta]1", "=", 
       RowBox[{"T1", "-", "T4"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[CapitalDelta]2", "=", 
       RowBox[{"T2", "-", "T3"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rceLin", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"msteckou", "*", "cp", "*", 
           RowBox[{"(", 
            RowBox[{"T1", "+", "T3"}], ")"}]}], "\[Equal]", 
          RowBox[{"msteckou", "*", "cp", "*", 
           RowBox[{"(", 
            RowBox[{"T2", "+", "T4"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"P", "==", 
          RowBox[{"ks", "*", "\[CapitalDelta]1"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"P", "==", 
          RowBox[{"msteckou", "*", "cp", "*", 
           RowBox[{"(", 
            RowBox[{"T1", "-", "T2"}], ")"}]}]}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"solSolve", "=", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{"rceLin", ",", 
          RowBox[{"{", 
           RowBox[{"P", ",", "T2", ",", "T4"}], "}"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"P", ",", "T2", ",", "T4"}], "}"}], "/.", "solSolve"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vydej", "[", 
  RowBox[{"msteckou", ",", "ks"}], "]"}]}], "Input",
 CellChangeTimes->{{3.780734274654465*^9, 3.7807344001098857`*^9}, {
  3.780734436177149*^9, 3.7807344409975576`*^9}, {3.780734487563639*^9, 
  3.780734530229714*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"vydej", "[", 
        RowBox[{"#", ",", "ks"}], "]"}]}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"0.1", "msteckou"}], ",", 
      RowBox[{"10", "msteckou"}], ",", 
      RowBox[{"0.01", "msteckou"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7807345486065464`*^9, 3.7807346033314424`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataT4", "=", 
   RowBox[{"data", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ms_", ",", 
       RowBox[{"{", 
        RowBox[{"P_", ",", "T2_", ",", "T4_"}], "}"}]}], "}"}], 
     "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"P", ",", "T2"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", "dataT4", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data1", "=", 
   RowBox[{"data", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ms_", ",", 
       RowBox[{"{", 
        RowBox[{"P_", ",", "T2_", ",", "T4_"}], "}"}]}], "}"}], 
     "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"T4", ",", "T2"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", "data1", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7807346080426507`*^9, 3.780734716166441*^9}, {
  3.7807347498936996`*^9, 3.7807347935737767`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"vydej", "[", 
        RowBox[{"msteckou", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"0.01", "ks"}], ",", 
      RowBox[{"10", "ks"}], ",", 
      RowBox[{"0.01", "ks"}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data5", "=", 
   RowBox[{"data3", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ks_", ",", 
       RowBox[{"{", 
        RowBox[{"P_", ",", "T2_", ",", "T4_"}], "}"}]}], "}"}], 
     "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"ks", ",", "P"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"data5", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.780734804836996*^9, 3.780734885520338*^9}}]
},
WindowSize->{1181, 837},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->2.1000001430511475`,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 330, 9, 168, "Input"],
Cell[890, 31, 610, 15, 249, "Input"],
Cell[1503, 48, 1957, 51, 779, "Input"],
Cell[3463, 101, 331, 8, 168, "Input"],
Cell[3797, 111, 299, 7, 160, "Input"],
Cell[4099, 120, 285, 7, 129, "Input"],
Cell[4387, 129, 1251, 35, 300, "Input"],
Cell[5641, 166, 453, 13, 123, "Input"],
Cell[6097, 181, 1181, 34, 281, "Input"],
Cell[7281, 217, 1970, 50, 480, "Input"],
Cell[9254, 269, 468, 14, 129, "Input"],
Cell[9725, 285, 943, 28, 207, "Input"],
Cell[10671, 315, 911, 28, 207, "Input"]
}
]
*)

(* End of internal cache information *)
